import { ReactElement } from 'react';
declare type TrackedFile = {
    file: File;
    progress: number;
    uploaded: number;
    size: number;
};
declare type UseS3UploadOptions = {
    endpoint?: string;
};
declare type UploadResult = {
    url: string;
    bucket: string;
    key: string;
};
declare type RequestOptions = {
    body: Record<string, any>;
    headers: HeadersInit;
};
declare type EndpointOptions = {
    request: RequestOptions;
};
declare type UploadToS3Options = {
    endpoint?: EndpointOptions;
};
declare type UploadToS3 = (file: File, options?: UploadToS3Options) => Promise<UploadResult>;
declare type UseS3UploadTools = {
    FileInput: (props: any) => ReactElement<HTMLInputElement>;
    openFileDialog: () => void;
    uploadToS3: UploadToS3;
    files: TrackedFile[];
    resetFiles: () => void;
};
declare type UseS3Upload = (options?: UseS3UploadOptions) => UseS3UploadTools;
export declare const useS3Upload: UseS3Upload;
export {};
